Get product (offer) by id
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/products/{productId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/products/{productId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"name": "My t-shirt",
"slug": "my-t-shirt",
"description": "My t-shirt description",
"state": {
"type": "<string>"
},
"access": {
"type": "<string>"
},
"images": [
{
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"url": "https://fourthwall.com/image.png",
"width": 800,
"height": 600,
"transformedUrl": "https://fourthwall.com/image.png"
}
],
"variants": [
{
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"name": "My t-shirt - Black, L",
"sku": "WDEK-DRE200L",
"unitPrice": {
"value": 10,
"currency": "USD"
},
"attributes": {
"description": "Black, L",
"color": {
"name": "Black",
"swatch": "#000000"
},
"size": {
"name": "L"
}
},
"stock": {
"type": "<string>",
"inStock": 5
},
"weight": {
"value": 1,
"unit": "kg"
},
"dimensions": {
"length": 1,
"width": 2,
"height": 3,
"unit": "cm"
},
"images": [
{
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"url": "https://fourthwall.com/image.png",
"width": 800,
"height": 600,
"transformedUrl": "https://fourthwall.com/image.png"
}
],
"compareAtPrice": {
"value": 10,
"currency": "USD"
},
"unitCost": {
"value": 10,
"currency": "USD"
},
"creatorDeclaredCost": {
"value": 10,
"currency": "USD"
},
"thumbnailImage": {
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"url": "https://fourthwall.com/image.png",
"width": 800,
"height": 600,
"transformedUrl": "https://fourthwall.com/image.png"
}
}
],
"createdAt": "2020-08-13T09:05:36.939Z",
"updatedAt": "2020-08-13T09:05:36.939Z",
"thumbnailImage": {
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"url": "https://fourthwall.com/image.png",
"width": 800,
"height": 600,
"transformedUrl": "https://fourthwall.com/image.png"
},
"additionalInformation": {
"sizeAndFit": "<string>",
"guaranteeAndReturns": "<string>",
"moreDetails": "<string>"
},
"sizeGuide": {
"fitGuideUrls": [
"<string>"
],
"previewUrl": "<string>",
"fileUrl": "<string>",
"description": "<string>",
"fitGuideDescription": "<string>"
},
"digitalFiles": [
{
"uri": "https://storage.googleapis.com/bucket/shop/offer/file",
"name": "my-ebook.pdf",
"fileSize": "15.4 MB",
"mediaType": "application/pdf"
}
]
}Products
Get Product
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Returns product by id
GET
/
open-api
/
v1.0
/
products
/
{productId}
Get product (offer) by id
OAuth scope:
offer_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
OK
Example:
"00aa4abd-5778-4199-8161-0b49b2f212e5"
Example:
"My t-shirt"
Example:
"my-t-shirt"
Example:
"My t-shirt description"
Available options:
STANDARD, GIFT_CARD, UNKNOWN - Available
- Available
- Sold Out
Show child attributes
Show child attributes
- Archived
- Archived
- Archived
- Archived
- Hidden
- Private
- Public
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2020-08-13T09:05:36.939Z"
Example:
"2020-08-13T09:05:36.939Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Digital files attached to this offer. Only present for digital offers.
Show child attributes
Show child attributes
⌘I